package com.steerinfo.appservice.apppretrackscale.mapper;

import com.steerinfo.appservice.apppretrackscale.model.AppPreTrackScale;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface AppPreTrackScaleMapper extends IBaseMapper<AppPreTrackScale, String> {

    List<AppPreTrackScale> selectPreTrackScaleByCompany(Map<String, Object> map);

    List<AppPreTrackScale> selectPreTrackScaleByCarNo(@Param(value = "carNo") String carNo);

    List<AppPreTrackScale> selectPreHD(List<String> ids);

    /*查询124状态的车辆信息*/
    List<AppPreTrackScale> selectPreTrackScaleByCarNoAll(@Param(value = "carNo") String carNo);

    /*查询货代以及他创建的预报数据*/
    List<AppPreTrackScale> selectPreHDandCreate(@Param("customerSupplierNo")String customerSupplierNo, @Param("list")List<String> ids);
}